Improved

API Release v1.81.0

Hey, we are back with another release. We are always improving the platform and if you have any questions regarding any release, feel free to contact your relations manager or email us directly at [email protected].

StatusEnvironment
✨💃🏻 Prime TimePROD

🚀 New Features

Travel Rule Attestation

We have added new attestation endpoints for settlements and funding reconciliations. This allows partners to formally attest operational records directly through the API.

New endpoints:

  • POST /settlements/{settlementID}/attest
  • POST /funding/reconciliations/{reconciliationID}/attest

Bank accounts APIs

We have added new bank account endpoints to support bank account management workflows.

New endpoints:

  • GET /bank-accounts
  • GET /bank-accounts/{bankAccountID}

Entities APIs

We have added new entity endpoints to support entity management workflows.

New endpoints:

  • GET /entities/{entityId}
  • POST /entities

🎉 Feature Enhancements

Settlement and reconciliation visibility

We enhanced settlement and reconciliation responses to include attestation metadata such as attestedAt and attestedBy, giving partners clearer operational tracking.

Funding and retirement flows

We continued expanding retirement funding support across deposits and redemptions, including richer IRA contribution and distribution subtype handling.

Business account management support

We expanded business account support across accounts, documents, funding, subscriptions, and KYC-related responses with the following account management types:

  • BUSINESS_SELF
  • BUSINESS_ADVISORY
  • BUSINESS_RIA_MANAGED

User settlement profile and tax metadata

We improved user funding-related metadata and tax form details in user responses and update flows.

Deposit event documentation

We updated our public event documentation for deposit notifications to reflect newly available expiration and hold fields in deposit event payloads.

Added fields:

  • depositBuyingPowerHoldExpires
  • seasoningPeriodExpires

Settlement profile field alignment

We aligned user settlement profile handling by restoring walletSettlementProfileID in user payloads and responses where applicable.

Originator bank details cleanup

We corrected the originator bank detail field naming by replacing bankAccountCountry with bankCountry.

Redemption request validation cleanup

We updated funding redemptions so details is no longer required in the request payload. We also Removed fee enum values FEE_STATE_TAX and FEE_FEDERAL_TAX.

IRA enum cleanup

We removed unsupported IRA contribution and distribution enum values to better align the API schema with supported platform behavior.

Cash field ordering cleanup

We updated the ordering of cash-related attributes in account money details to present cash available for trade values before cash available for withdrawal.

👠🐛 Squashing bugs

We are always squashing bugs, but nothing significant during this release that should be called out.

🪵 ChangeLog

## New endpoints

**`POST /settlements/{settlementID}/attest`**
- Added new endpoint

**`POST /funding/reconciliations/{reconciliationID}/attest`**
- Added new endpoint

**`GET /bank-accounts`**
- Added new endpoint

**`GET /bank-accounts/{bankAccountID}`**
- Added new endpoint

## Modified endpoints

**`POST /asset-transfers/minor-graduation`**
- Modified the `400` response

**`GET /funding/reconciliations`**
- Modified the `200` response:
  - Added property `attestedAt`

**`GET /funding/reconciliations/{reconciliationID}`**
- Modified the `200` response:
  - Added properties `attestedAt` and `attestedBy`

**`PATCH /funding/reconciliations/{reconciliationID}`**
- Modified the `200` response:
  - Added properties `attestedAt` and `attestedBy`

**`GET /settlements`**
- Modified the `200` response:
  - Added property `attestedAt`

**`GET /settlements/{settlementID}`**
- Modified the `200` response:
  - Added properties `attestedAt` and `attestedBy`

**`POST /accounts`**
- Request payload:
  - Added business account management types `BUSINESS_SELF`, `BUSINESS_ADVISORY`, and `BUSINESS_RIA_MANAGED`
- Modified the `200` response:
  - Added business account management types in account management metadata

**`GET /accounts/{accountID}`**
- Modified the `200` response:
  - Added business account management types in account metadata

**`PATCH /accounts/{accountID}`**
- Modified the `200` response:
  - Added business account management types in account metadata

**`GET /accounts/{accountID}/funding/deposits`**
- Modified the `200` response:
  - Added business account management types in account details

**`GET /accounts/{accountID}/funding/redemptions`**
- Modified the `200` response:
  - Added business account management types in account details

**`POST /documents`**
- Request payload and `200` response:
  - Added `BUSINESS_DOCUMENT` as a supported document type

**`POST /funding/deposits`**
- Request payload:
  - Added property `iraContributionSubType`
  - Expanded `iraContribution` enum values
  - Added property `bankCountry`
  - Removed property `bankAccountCountry`
  - Added new `400` response
- Modified the `200` response:
  - Added `iraContributionSubType`
  - Added `iraContribution`

**`GET /funding/deposits/{depositID}`**
- Modified the `200` response:
  - Added `iraContributionSubType`
  - Added `iraContribution`
  - Added business account management types in account details
  - Added `settlementProfileID`
  - Removed `walletSettlementProfileID`

**`GET /funding/redemptions`**
- Modified the `200` response:
  - Added `iraDistribution`
  - Added `iraDistributionSubType`
  - Added business account management types in account details
  - Added `settlementProfileID`
  - Removed `walletSettlementProfileID`

**`POST /funding/redemptions`**
- Request payload:
  - Added `iraDistributionSubType`
  - `iraDistribution` is no longer deprecated
  - Expanded `iraDistribution` enum values
  - Property `details` is no longer required
  - Removed fee enum values FEE_STATE_TAX and FEE_FEDERAL_TAX 
- Modified the `200` response:
  - Added `iraDistribution`
  - Added `iraDistributionSubType`

**`GET /funding/redemptions/{redemptionID}`**
- Modified the `200` response:
  - Added `iraDistribution`
  - Added `iraDistributionSubType`
  - Added business account management types in account details
  - Added `settlementProfileID`
  - Removed `walletSettlementProfileID` and enum values `FEE_STATE_TAX` and `FEE_FEDERAL_TAX`

**`POST /users`**
- Request payload:
  - Added `walletSettlementProfileID`
  - Removed `settlementProfileID`
  - Added director `roles`
- Modified the `200` response:
  - Added `walletSettlementProfileID`
  - Removed `settlementProfileID`

**`GET /users/{userID}`**
- Modified the `200` response:
  - Added `walletSettlementProfileID`
  - Removed `settlementProfileID`
  - Added `taxCountry`, `validTaxFormWhen`, and `taxAttestation`
  - Updated description for `taxTreatyWithUS`

**`PATCH /users/{userID}`**
- Request payload:
  - Added `walletSettlementProfileID`
  - Removed `settlementProfileID`
  - Updated patch document schema handling
- Modified the `200` response:
  - Added `walletSettlementProfileID`
  - Removed `settlementProfileID`
  - Added `taxCountry`, `validTaxFormWhen`, and `taxAttestation`

**`GET /users/{userID}/accounts`**
- Modified the `200` response:
  - Added business account management types in account metadata

**`GET /users/{userID}/documents`**
- Modified the `200` response:
  - Added `BUSINESS_DOCUMENT` as a supported document type

**`GET /users/{userID}/funding/deposits`**
- Modified the `200` response:
  - Added business account management types in account details

**`GET /users/{userID}/funding/redemptions`**
- Modified the `200` response:
  - Added business account management types in account details

**`GET /users/{userID}/kyc-status`**
- Modified the `200` response:
  - Added business account management types in account metadata

**`GET /users/{userID}/subscriptions`**
- Modified the `200` response:
  - Added business account management types in account details

**`GET /accounts/{accountID}/summary/violations`**
- Modified the `200` response:
  - Updated description for `violations.details`